# `salt-master`

The Salt master daemon, used to control the Salt minions

## Synopsis

    salt-master [ options ]

## Description

The master daemon controls the Salt minions

## Options

--version

  Print the version of Salt that is running.

--versions-report

  Show program's dependencies and version number, and then exit

-h, --help

  Show the help message and exit

-c CONFIG_DIR, --config-dir=CONFIG_dir

  The location of the Salt configuration directory. This directory contains the configuration files for Salt master and minions. The default location on most systems is `/etc/salt`.

-u USER, --user=USER

  Specify user to run salt-master

-d, --daemon

  Run salt-master as a daemon

--pid-file PIDFILE

  Specify the location of the pidfile. Default: /var/run/salt-master.pid

--disable-keepalive

  Disable the automatic restart mechanism for salt-master. By default, the daemon runs in a subprocess with automatic restart capabilities if it exits with a keepalive signal. This option disables that behavior and runs the daemon directly without the keepalive wrapper. Useful when an external process manager like systemd handles restarts, or in containerized environments where the container runtime manages the process lifecycle

### Logging Options

Logging options which override any settings defined on the configuration files.

-l LOG_LEVEL, --log-level=LOG_LEVEL

  Console logging log level. One of `all`, `garbage`, `trace`, `debug`, `info`, `warning`, `error`, `quiet`. Default: `warning`.

--log-file=LOG_FILE

  Log file path. Default: /var/log/salt/master.

--log-file-level=LOG_LEVEL_LOGFILE

  Logfile logging log level. One of `all`, `garbage`, `trace`, `debug`, `info`, `warning`, `error`, `quiet`. Default: `warning`.

## See also

salt(1) salt(7) salt-minion(1)